GNU bug report logs - #71363
14.0.5; AUCTeX 14.05 and LaTeX Mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Robert Morelli <morelli@HIDDEN>; Done: Ikumi Keita <ikumi@HIDDEN>; Maintainer for auctex is bug-auctex@HIDDEN.
bug closed, send any further explanations to 71363 <at> debbugs.gnu.org and Robert Morelli <morelli@HIDDEN> Request was from Ikumi Keita <ikumi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 10 Jul 2024 10:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 06:42:32 2024
Received: from localhost ([127.0.0.1]:54964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sRUmO-0000Wm-G5
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2024 06:42:32 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:53676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1sRUmM-0000We-4M
 for 71363 <at> debbugs.gnu.org; Wed, 10 Jul 2024 06:42:31 -0400
Received: from localhost (42-144-18-247.rev.home.ne.jp [42.144.18.247])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPSA id 83AAD5C;
 Wed, 10 Jul 2024 19:42:22 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-reply-to: <7075.1720192878@localhost>
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN> <8224.1719823489@localhost>
 <m2sewtqpqe.fsf@HIDDEN> <8788.1719839712@localhost>
 <m2msmzobqh.fsf@HIDDEN> <18464.1720000038@localhost>
 <m2ikxkuwbh.fsf@HIDDEN> <7075.1720192878@localhost>
Comments: In-reply-to Ikumi Keita <ikumi@HIDDEN>
 message dated "Sat, 06 Jul 2024 00:21:18 +0900."
X-Mailer: MH-E 8.6+git; nmh 1.8; Emacs 29.4
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <6995.1720608141.1@localhost>
Content-Transfer-Encoding: quoted-printable
Date: Wed, 10 Jul 2024 19:42:21 +0900
Message-ID: <6997.1720608141@localhost>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi all, I have just installed the updated patch. I'll close
 this bug. Thanks for all comments. Regards, Ikumi Keita #StandWithUkraine
 #StopWarInUkraine #Gaza #StopMassiveKilling #CeasefireNOW 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.2 MISSING_HEADERS        Missing To: header
X-Debbugs-Envelope-To: 71363
Cc: Arash Esbati <arash@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Robert Morelli <morelli@HIDDEN>, Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Hi all,

I have just installed the updated patch. I'll close this bug. Thanks for
all comments.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW

>>>>> Ikumi Keita <ikumi@HIDDEN> writes:
> Hi Arash,
>>>>> Arash Esbati <arash@HIDDEN> writes:
>> Thanks, catering for `major-mode-remap-defaults' is probably a good
>> idea.  I have some minor comments below.

> Thanks.

>>> --- a/tex-site.el.in
>>> +++ b/tex-site.el.in
>>> @@ -113,29 +113,53 @@ Arrange the redirection of the built-in TeX mode=
s according to VALUE.
>>> - The built-in modes in VALUE are redirected to the corresponding
>>> AUCTeX major modes.
>>> - The built-in modes not in VALUE discard redirection, if any.
>>> -If `major-mode-remap-alist' is available, use it for redirection.
>>> -Otherwise, use advice facility."
>>> +If either `major-mode-remap-defaults' or `major-mode-remap-alist'
>>> +is available, use it for redirection

>> , in that order

> OK, I'll add those words.

>>> +            ;; Keep compatibility.  (bug#71363)
>>> +            (if (eq elt 'latex-mode)
>>> +                (with-eval-after-load 'org-src
>>> +                  (progn

>> Do you need this extra `progn' inside `with-eval-after-load'?

> Thanks. I didn't realize the difference of syntax between
> `eval-after-load' and `with-eval-after-load'.




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 5 Jul 2024 15:21:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 11:21:26 2024
Received: from localhost ([127.0.0.1]:44780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sPkkY-0002A8-8c
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2024 11:21:26 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:42068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1sPkkW-00029x-FR
 for 71363 <at> debbugs.gnu.org; Fri, 05 Jul 2024 11:21:25 -0400
Received: from localhost (42-144-18-247.rev.home.ne.jp [42.144.18.247])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPSA id 5936B60;
 Sat,  6 Jul 2024 00:21:18 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-reply-to: <m2ikxkuwbh.fsf@HIDDEN>
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN> <8224.1719823489@localhost>
 <m2sewtqpqe.fsf@HIDDEN> <8788.1719839712@localhost>
 <m2msmzobqh.fsf@HIDDEN> <18464.1720000038@localhost>
 <m2ikxkuwbh.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Fri, 05 Jul 2024 09:33:54 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.8; Emacs 29.4
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <7074.1720192878.1@localhost>
Content-Transfer-Encoding: quoted-printable
Date: Sat, 06 Jul 2024 00:21:18 +0900
Message-ID: <7075.1720192878@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Robert Morelli <morelli@HIDDEN>,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arash,

>>>>> Arash Esbati <arash@HIDDEN> writes:
> Thanks, catering for `major-mode-remap-defaults' is probably a good
> idea.  I have some minor comments below.

Thanks.

>> --- a/tex-site.el.in
>> +++ b/tex-site.el.in
>> @@ -113,29 +113,53 @@ Arrange the redirection of the built-in TeX modes=
 according to VALUE.
>> - The built-in modes in VALUE are redirected to the corresponding
>> AUCTeX major modes.
>> - The built-in modes not in VALUE discard redirection, if any.
>> -If `major-mode-remap-alist' is available, use it for redirection.
>> -Otherwise, use advice facility."
>> +If either `major-mode-remap-defaults' or `major-mode-remap-alist'
>> +is available, use it for redirection

> , in that order

OK, I'll add those words.

>> +            ;; Keep compatibility.  (bug#71363)
>> +            (if (eq elt 'latex-mode)
>> +                (with-eval-after-load 'org-src
>> +                  (progn

> Do you need this extra `progn' inside `with-eval-after-load'?

Thanks. I didn't realize the difference of syntax between
`eval-after-load' and `with-eval-after-load'.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 5 Jul 2024 07:35:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 03:35:25 2024
Received: from localhost ([127.0.0.1]:43466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sPdTZ-0000Kc-Fb
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2024 03:35:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sPdTX-0000KP-9K
 for 71363 <at> debbugs.gnu.org; Fri, 05 Jul 2024 03:35:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sPdTN-0004Vv-SQ; Fri, 05 Jul 2024 03:35:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=FB+wInMdF7gsXpiYwx7vrvoaUZOaSSzTj6dhJ+50g/8=; b=KXbCOhRHhGJ/pwqbB1+P
 aa6WdAMDjT0UAvisx2YEZuOmOrRkIL6sDe8Y0hOiXOjwepTQsn2yZG8eY6QKq6Om1rrD4nXBdrzNy
 MkN9GkjkVSw6CunZnp9hd8xnhPBT4p+R5UH3+q20CZB/D/yK2dcWfIyjcdCfpgamzI3m0EPYx5w3j
 cAKNB8jitcLOkTqZ3+qOBHmyi6XvMOf5EvMeHKMBYmRxB/4fNtoLvJccOFKpFjIBhowwYsnR9PKal
 B5FvsKbqEnEpMdugASuVDm2Ih/43WaHvNzU0Prt9UEyCnqeaBvnXhA8XkwFxL8XTVvenaSOCipLoa
 7x3t/fi1STfBEg==;
From: Arash Esbati <arash@HIDDEN>
To: Paul Nelson <ultrono@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <CAOA-32MPkD=B5uwtx-zW0bKM=Oo-dVe5Gf-MsJC+JQdR9sBjLQ@HIDDEN>
 (Paul Nelson's message of "Wed, 3 Jul 2024 16:41:28 +0200")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN>
 <CAOA-32MHhcVXz1j-QUfZb6cT4HU84WqDOP=syrBT-1vb_K9HLA@HIDDEN>
 <m2ikxnobf2.fsf@HIDDEN>
 <CAOA-32MPkD=B5uwtx-zW0bKM=Oo-dVe5Gf-MsJC+JQdR9sBjLQ@HIDDEN>
Date: Fri, 05 Jul 2024 09:35:05 +0200
Message-ID: <m2ed88uw9i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: Ikumi Keita <ikumi@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Robert Morelli <morelli@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Nelson <ultrono@HIDDEN> writes:

> I could just as well be persuaded that AUCTeX should never take over
> by default.  Then, anyone updating AUCTeX to add something to their
> config (a couple lines saying where LaTeX-mode should activate).  I
> guess that'd cause a lot of headache -- I know that I didn't read NEWS
> when updating for many years, and imagine the same is true for many
> users.  My main suggestion is that the default behavior should be
> consistent between tex files and source blocks, so as not to cause
> surprises like in the original message in this thread.

There is always some history, agreed.  So let's do it; Keita has a patch
for this.

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 5 Jul 2024 07:34:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 03:34:08 2024
Received: from localhost ([127.0.0.1]:43461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sPdSJ-0000IL-Q1
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2024 03:34:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sPdSH-0000Ho-L3
 for 71363 <at> debbugs.gnu.org; Fri, 05 Jul 2024 03:34:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sPdS8-00041h-3e; Fri, 05 Jul 2024 03:33:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=xrcvD3ld8DiUw1apsIE2woN2q78SOTVzCIhKSu8iYKE=; b=J6cSFCLsatjiw09bHUKU
 lm2+AoNStNF8fTaeCB05Js4mg0pW8SC1Py2vdXklHLkb2LyLVq26oWMzeFe0SRuwGCmdMfsxTEMU5
 9BrRVOhyhJN8hjz3k15ZLdiimIglO4PdKUxS0MmjY77heZp8mlCI/6nI85XSkFQC3OVKODbfNmuFJ
 wjYFffD8Bu1Ovp86E3k0oHVNy8IsW4cpOmIwYvsIPTtiqd/PQHQITm/3/f1PEAr6cmxy5ZUmbPxvt
 5ihFwHpojVOaZroBu9BvJ5zHKZzpHwd3aROXoQTRgrGoIYaURQNfEwa1mK0vIwU/XSbCeFXX9dgGr
 S2h4U/MM+z2FKw==;
From: Arash Esbati <arash@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <18464.1720000038@localhost> (Ikumi Keita's message of "Wed, 03
 Jul 2024 18:47:18 +0900")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN> <8224.1719823489@localhost>
 <m2sewtqpqe.fsf@HIDDEN> <8788.1719839712@localhost>
 <m2msmzobqh.fsf@HIDDEN> <18464.1720000038@localhost>
Date: Fri, 05 Jul 2024 09:33:54 +0200
Message-ID: <m2ikxkuwbh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Robert Morelli <morelli@HIDDEN>,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Keita,

Ikumi Keita <ikumi@HIDDEN> writes:

> I'd like to take this opportunity to take `major-mode-remap-defaults',
> which will be introduced in Emacs 30, into account as well so that
> AUCTeX wouldn't alter the user customize option
> `major-mode-remap-alist'. Thus I propose the attached patch.

Thanks, catering for `major-mode-remap-defaults' is probably a good
idea.  I have some minor comments below.

> From 78a32e5605a75f2cdbe0e0e3355aad158801b527 Mon Sep 17 00:00:00 2001
> From: Ikumi Keita <ikumi@HIDDEN>
> Date: Tue, 12 Mar 2024 14:55:11 +0900
> Subject: [PATCH] Keep compatibility with Org mode src editing (bug#71363)
>
> * tex-site.el.in (TeX-modes-set): Add entries for AUCTeX LaTeX mode to
> `org-src-lang-modes'.
> Use `major-mode-remap-defaults' for Emacs 30 and later, instead of
> `major-mode-remap-alist', in order to avoid altering user customize
> option.
> ---
>  tex-site.el.in | 58 +++++++++++++++++++++++++++++++++++---------------
>  1 file changed, 41 insertions(+), 17 deletions(-)
>
> diff --git a/tex-site.el.in b/tex-site.el.in
> index 911a2080..62e6583b 100644
> --- a/tex-site.el.in
> +++ b/tex-site.el.in
> @@ -113,29 +113,53 @@ Arrange the redirection of the built-in TeX modes according to VALUE.
>  - The built-in modes in VALUE are redirected to the corresponding
>    AUCTeX major modes.
>  - The built-in modes not in VALUE discard redirection, if any.
> -If `major-mode-remap-alist' is available, use it for redirection.
> -Otherwise, use advice facility."
> +If either `major-mode-remap-defaults' or `major-mode-remap-alist'
> +is available, use it for redirection

, in that order

> .  Otherwise, use advice
> +facility."
>    (custom-set-default var value)
>    (let (elt dst)
>      (dolist (entry TeX-mode-alist)
>        (setq elt (car entry)
>              dst (cdr entry))
>        (if (memq elt value)
> -          (if (boundp 'major-mode-remap-alist)
> -              (or (eq (cdr-safe (assq elt major-mode-remap-alist)) dst)
> -                  (push (cons elt dst) major-mode-remap-alist))
> -            ;; COMPATIBILITY for Emacs<29
> -            (advice-add elt :override dst
> -                        ;; COMPATIBILITY for Emacs 28.[12]
> -                        ;; Give it higher precedence than the :around
> -                        ;; advice given to `tex-mode' in tex-mode.el.
> -                        ;; <URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00050.html>
> -                        '((depth . -10))))
> -        (if (boundp 'major-mode-remap-alist)
> -            (setq major-mode-remap-alist
> -                  (delete entry major-mode-remap-alist))
> -          ;; COMPATIBILITY for Emacs<29
> -          (advice-remove elt dst))))))
> +          (progn
> +            (cond ((boundp 'major-mode-remap-defaults)
> +                   ;; For Emacs 30 and later
> +                   (add-to-list 'major-mode-remap-defaults (cons elt dst)))
> +                  ((boundp 'major-mode-remap-alist)
> +                   ;; COMPATIBILITY for Emacs 29
> +                   (add-to-list 'major-mode-remap-alist (cons elt dst)))
> +                  (t
> +                   ;; COMPATIBILITY for Emacs<29
> +                   (advice-add elt :override dst
> +                               ;; COMPATIBILITY for Emacs 28
> +                               ;; Give it higher precedence than the :around
> +                               ;; advice given to `tex-mode' in tex-mode.el.
> +                               ;; <URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00050.html>
> +                               '((depth . -10)))))
> +            ;; Keep compatibility.  (bug#71363)
> +            (if (eq elt 'latex-mode)
> +                (with-eval-after-load 'org-src
> +                  (progn

Do you need this extra `progn' inside `with-eval-after-load'?

> +                    (defvar org-src-lang-modes) ; Silence byte compiler.
> +                    ;; Check the actual presence in the entry in case
> +                    ;; that the user once choosed AUCTeX LaTeX mode and
> +                    ;; abandoned it afterwards in the same emacs
> +                    ;; session.
> +                    (when (memq 'latex-mode TeX-modes)
> +                      (push '("latex" . LaTeX) org-src-lang-modes)
> +                      (push '("beamer" . LaTeX) org-src-lang-modes))))))
> +        (cond ((boundp 'major-mode-remap-defaults)
> +               ;; For Emacs 30 and later
> +               (setq major-mode-remap-defaults
> +                     (delete entry major-mode-remap-defaults)))
> +              ((boundp 'major-mode-remap-alist)
> +               ;; COMPATIBILITY for Emacs 29
> +               (setq major-mode-remap-alist
> +                     (delete entry major-mode-remap-alist)))
> +              (t
> +               ;; COMPATIBILITY for Emacs<29
> +               (advice-remove elt dst)))))))
>  
>  (defcustom TeX-modes
>    (mapcar #'car TeX-mode-alist)

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 3 Jul 2024 14:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 03 10:42:48 2024
Received: from localhost ([127.0.0.1]:40022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sP1C4-0003Dq-IJ
	for submit <at> debbugs.gnu.org; Wed, 03 Jul 2024 10:42:48 -0400
Received: from mail-io1-f46.google.com ([209.85.166.46]:59588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ultrono@HIDDEN>) id 1sP1C2-0003Db-Vj
 for 71363 <at> debbugs.gnu.org; Wed, 03 Jul 2024 10:42:47 -0400
Received: by mail-io1-f46.google.com with SMTP id
 ca18e2360f4ac-7f6154e20bbso241549639f.2
 for <71363 <at> debbugs.gnu.org>; Wed, 03 Jul 2024 07:42:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1720017699; x=1720622499; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=4RUU9/LDVGq42R/4kclIzvmQrDgf+Rv99alXVeFqaok=;
 b=aXS31b/QzBFSXx2+zfDyf+I1uo1coFexwfYImnZSdXT8MBIEmkNpaKhReVImTw6ZpO
 /1OOJhmFrPvfalgbezqY6V6VelJJfMmswwVCpE9tgz/wQiJTTQ/zxUm24IqJM5i9n2hV
 QRJgK/9d7GhctUxcyY2Vnv+re0tiFaM2pdlILSiacHgJIrUJ31GSnF9G1J/dLSn7kjKB
 Guz74opugzOoV6mFSzxKrgshmQuyoXnrVuLycOSF/ZTqxOJ2gXEOEEXi/Jiz4FGeZbqE
 NxG8hAVQu3I7G3/7YH71jO8zOuDCl6TlnIeFMGs1ZeHB4kRtbv2DTJVeWrgMCSpdCWAY
 jg+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1720017699; x=1720622499;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=4RUU9/LDVGq42R/4kclIzvmQrDgf+Rv99alXVeFqaok=;
 b=FIa5Tp5HFC3aS8zYyXnhgZAm6zJfOjRP/MXKhfp31kF9uoOGyf6OZsu4lbtw9cjSUY
 +TnA868db2Akv3XRtyu1X0ePqO0qx084BTshUEoRjlXEIudEzcqfweP0KJGAcwDhAQ3z
 xA3xErjiHw6ReriKQ40tuOtZP8sxpeI6+6vopF3aq2F8kr+OvJLqdAEbs2xl4pa5fk+9
 vGizvwfGvcCNxrAj3zkcTXzNvHzGPdt5hNmrx6UmvjWXOXLOlL8DFP7Ej13jfrZsnJad
 YpqQYTM3XcMBVCFR9v3Ziya47qtd+uQ1xDnWFqEv1b+HgVgwEdZ3HuZxqErvMyTTflzC
 MeiQ==
X-Forwarded-Encrypted: i=1;
 AJvYcCVfhbwV4sMDOfJg24LuonwkTcg/HicgZBrOSXJjDnRTb+C89XTh3pbtDZW9LBIGyUQQwuPfmQuY+hjS0UOEpW89X6SZGek=
X-Gm-Message-State: AOJu0YyDZtTPBgNLfKPxYLFkdxmF6G3JUn/USBsD32z2z0V1M7EDzCvm
 O1LGfcWSP0hdBRNYIAf7qmQphKXUHBN3Y88FQEwNNI/eQ6B8RHIR5jne0YRm+AGpp825keOEekS
 YjfQGx1zXQ/CEDj8s9Mv/qWVPrdY=
X-Google-Smtp-Source: AGHT+IG1vLBVGFNVYXInxBFC3Lx54rXX9ImIxaNOJAQcZGdWcJQ2O3HNQSIzdS4Qh6ntgEQ18vODmue2bIobDssxSoU=
X-Received: by 2002:a5d:8484:0:b0:7e1:7f44:1584 with SMTP id
 ca18e2360f4ac-7f62ee79f9cmr1355812939f.20.1720017699353; Wed, 03 Jul 2024
 07:41:39 -0700 (PDT)
MIME-Version: 1.0
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN>
 <CAOA-32MHhcVXz1j-QUfZb6cT4HU84WqDOP=syrBT-1vb_K9HLA@HIDDEN>
 <m2ikxnobf2.fsf@HIDDEN>
In-Reply-To: <m2ikxnobf2.fsf@HIDDEN>
From: Paul Nelson <ultrono@HIDDEN>
Date: Wed, 3 Jul 2024 16:41:28 +0200
Message-ID: <CAOA-32MPkD=B5uwtx-zW0bKM=Oo-dVe5Gf-MsJC+JQdR9sBjLQ@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
To: Arash Esbati <arash@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: Ikumi Keita <ikumi@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Robert Morelli <morelli@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Yes, that sounds reasonable, but OTOH, we had also a lot of complaints
> that AUCTeX took over latex-mode.  So for me, introducing new names was
> also a chance to cut off with that old habit.  But as I said in my other
> message, I don't want to block a feature I don't use.  If you and Keita
> think we should do this, let's do it.
>

I could just as well be persuaded that AUCTeX should never take over
by default.  Then, anyone updating AUCTeX to add something to their
config (a couple lines saying where LaTeX-mode should activate).  I
guess that'd cause a lot of headache -- I know that I didn't read NEWS
when updating for many years, and imagine the same is true for many
users.  My main suggestion is that the default behavior should be
consistent between tex files and source blocks, so as not to cause
surprises like in the original message in this thread.




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 3 Jul 2024 09:47:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 03 05:47:27 2024
Received: from localhost ([127.0.0.1]:38829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOwaE-0000gj-UZ
	for submit <at> debbugs.gnu.org; Wed, 03 Jul 2024 05:47:27 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:36274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1sOwaC-0000gY-Jc
 for 71363 <at> debbugs.gnu.org; Wed, 03 Jul 2024 05:47:26 -0400
Received: from localhost (42-144-18-247.rev.home.ne.jp [42.144.18.247])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPSA id 6821A60;
 Wed,  3 Jul 2024 18:47:20 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-reply-to: <m2msmzobqh.fsf@HIDDEN>
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN> <8224.1719823489@localhost>
 <m2sewtqpqe.fsf@HIDDEN> <8788.1719839712@localhost>
 <m2msmzobqh.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Tue, 02 Jul 2024 21:05:58 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.8; Emacs 29.4
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Date: Wed, 03 Jul 2024 18:47:18 +0900
Message-ID: <18464.1720000038@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Robert Morelli <morelli@HIDDEN>,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Arash,

>>>>> Arash Esbati <arash@HIDDEN> writes:
>> I'd say that people who have such strange preference should be
>> prepared for their difficulty and be able to deal with it by
>> themselves.

> I don't use this feature, so I don't want to be against it too much, so
> if you think it is a good addition, please go ahead and install it.  I
> know where to forward the complaints once they arrive ;-)

=F0=9F=98=9C

I'd like to take this opportunity to take `major-mode-remap-defaults',
which will be introduced in Emacs 30, into account as well so that
AUCTeX wouldn't alter the user customize option
`major-mode-remap-alist'. Thus I propose the attached patch.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Keep-compatibility-with-Org-mode-src-editing-bug-713.patch
Content-Description: Update to tex-site.el.in

From 78a32e5605a75f2cdbe0e0e3355aad158801b527 Mon Sep 17 00:00:00 2001
From: Ikumi Keita <ikumi@HIDDEN>
Date: Tue, 12 Mar 2024 14:55:11 +0900
Subject: [PATCH] Keep compatibility with Org mode src editing (bug#71363)

* tex-site.el.in (TeX-modes-set): Add entries for AUCTeX LaTeX mode to
`org-src-lang-modes'.
Use `major-mode-remap-defaults' for Emacs 30 and later, instead of
`major-mode-remap-alist', in order to avoid altering user customize
option.
---
 tex-site.el.in | 58 +++++++++++++++++++++++++++++++++++---------------
 1 file changed, 41 insertions(+), 17 deletions(-)

diff --git a/tex-site.el.in b/tex-site.el.in
index 911a2080..62e6583b 100644
--- a/tex-site.el.in
+++ b/tex-site.el.in
@@ -113,29 +113,53 @@ Arrange the redirection of the built-in TeX modes according to VALUE.
 - The built-in modes in VALUE are redirected to the corresponding
   AUCTeX major modes.
 - The built-in modes not in VALUE discard redirection, if any.
-If `major-mode-remap-alist' is available, use it for redirection.
-Otherwise, use advice facility."
+If either `major-mode-remap-defaults' or `major-mode-remap-alist'
+is available, use it for redirection.  Otherwise, use advice
+facility."
   (custom-set-default var value)
   (let (elt dst)
     (dolist (entry TeX-mode-alist)
       (setq elt (car entry)
             dst (cdr entry))
       (if (memq elt value)
-          (if (boundp 'major-mode-remap-alist)
-              (or (eq (cdr-safe (assq elt major-mode-remap-alist)) dst)
-                  (push (cons elt dst) major-mode-remap-alist))
-            ;; COMPATIBILITY for Emacs<29
-            (advice-add elt :override dst
-                        ;; COMPATIBILITY for Emacs 28.[12]
-                        ;; Give it higher precedence than the :around
-                        ;; advice given to `tex-mode' in tex-mode.el.
-                        ;; <URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00050.html>
-                        '((depth . -10))))
-        (if (boundp 'major-mode-remap-alist)
-            (setq major-mode-remap-alist
-                  (delete entry major-mode-remap-alist))
-          ;; COMPATIBILITY for Emacs<29
-          (advice-remove elt dst))))))
+          (progn
+            (cond ((boundp 'major-mode-remap-defaults)
+                   ;; For Emacs 30 and later
+                   (add-to-list 'major-mode-remap-defaults (cons elt dst)))
+                  ((boundp 'major-mode-remap-alist)
+                   ;; COMPATIBILITY for Emacs 29
+                   (add-to-list 'major-mode-remap-alist (cons elt dst)))
+                  (t
+                   ;; COMPATIBILITY for Emacs<29
+                   (advice-add elt :override dst
+                               ;; COMPATIBILITY for Emacs 28
+                               ;; Give it higher precedence than the :around
+                               ;; advice given to `tex-mode' in tex-mode.el.
+                               ;; <URL:https://lists.gnu.org/r/auctex-devel/2022-09/msg00050.html>
+                               '((depth . -10)))))
+            ;; Keep compatibility.  (bug#71363)
+            (if (eq elt 'latex-mode)
+                (with-eval-after-load 'org-src
+                  (progn
+                    (defvar org-src-lang-modes) ; Silence byte compiler.
+                    ;; Check the actual presence in the entry in case
+                    ;; that the user once choosed AUCTeX LaTeX mode and
+                    ;; abandoned it afterwards in the same emacs
+                    ;; session.
+                    (when (memq 'latex-mode TeX-modes)
+                      (push '("latex" . LaTeX) org-src-lang-modes)
+                      (push '("beamer" . LaTeX) org-src-lang-modes))))))
+        (cond ((boundp 'major-mode-remap-defaults)
+               ;; For Emacs 30 and later
+               (setq major-mode-remap-defaults
+                     (delete entry major-mode-remap-defaults)))
+              ((boundp 'major-mode-remap-alist)
+               ;; COMPATIBILITY for Emacs 29
+               (setq major-mode-remap-alist
+                     (delete entry major-mode-remap-alist)))
+              (t
+               ;; COMPATIBILITY for Emacs<29
+               (advice-remove elt dst)))))))
 
 (defcustom TeX-modes
   (mapcar #'car TeX-mode-alist)
-- 
2.44.0


--=-=-=--




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 2 Jul 2024 19:13:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 15:13:05 2024
Received: from localhost ([127.0.0.1]:37781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOiw4-0007k9-Sr
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2024 15:13:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sOiw3-0007jf-7Q
 for 71363 <at> debbugs.gnu.org; Tue, 02 Jul 2024 15:13:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sOivt-0006yC-QP; Tue, 02 Jul 2024 15:12:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=Ya3PdoglYzw/t9vCRHp0T4RJH+pHyUN1BAj0xOZuiRE=; b=NIURlc+96xWoAWiiSouF
 BlQsaeJ4DjaFACmGVFhkeBNIZ3YRadtaIA3T6GfHMvBcq+BSNzpK1wfFfxYNd7MkFU86wqowYb4hS
 UAqRIamaXeZsptLvY4L7NraHaA3KxChsUpz+S+eUmCy9RgmZRGfVnONxvF3akKZUIFbN8Pwhe4oRd
 jdaabdDVmJUJpVv9ApPMhfuUglZt4K9s6vUihHMYkXqzy7y3PSJPuVJdpLAthmZ15DdbpjPbSBAUc
 DNK+7grsK9MLfcQAV2XbyDf87EMwdyuyuBkSXclvCStCfUWwrGuDklRJtuzLo/pp4qkhI8X5KGf+8
 SQsWM7UHSdWt8w==;
From: Arash Esbati <arash@HIDDEN>
To: Paul Nelson <ultrono@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <CAOA-32MHhcVXz1j-QUfZb6cT4HU84WqDOP=syrBT-1vb_K9HLA@HIDDEN>
 (Paul Nelson's message of "Mon, 1 Jul 2024 17:53:16 +0200")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN>
 <CAOA-32MHhcVXz1j-QUfZb6cT4HU84WqDOP=syrBT-1vb_K9HLA@HIDDEN>
Date: Tue, 02 Jul 2024 21:12:49 +0200
Message-ID: <m2ikxnobf2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: Ikumi Keita <ikumi@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Robert Morelli <morelli@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Paul,

Paul Nelson <ultrono@HIDDEN> writes:

> My thought was that making AUCTeX load automatically in src mode
> blocks is similar to doing the same for tex files.  Both require
> adjustments that could be left to the user, but have been automatic
> for at least a couple decades.  While forcing such adjustments via
> tex-site goes against the general convention that loading packages
> should have no direct effect, there is ultimately no loss of
> flexibility, since the user can always tweak major-mode-remap-alist
> and org-src-lang-modes after AUCTeX loads.  The question is what
> should be the default behavior.  Here I would vote in favor of the
> established practice, to spare other users the issue noted by Robert
> (which I had also encountered).

Yes, that sounds reasonable, but OTOH, we had also a lot of complaints
that AUCTeX took over latex-mode.  So for me, introducing new names was
also a chance to cut off with that old habit.  But as I said in my other
message, I don't want to block a feature I don't use.  If you and Keita
think we should do this, let's do it.

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 2 Jul 2024 19:08:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 15:08:22 2024
Received: from localhost ([127.0.0.1]:37769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOirW-0007cz-6G
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2024 15:08:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sOirU-0007cm-KO
 for 71363 <at> debbugs.gnu.org; Tue, 02 Jul 2024 15:08:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sOipG-0005Rf-8O; Tue, 02 Jul 2024 15:06:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=ZsG3E67QbQLiGNRFS0HYteQo+rETQjqQcd7g6W8lvSw=; b=rZMq7zfmYvKZTifdV+Lh
 J8bP+HrCArNYXNK5ffobhfGNi4dkqsH4ZIgkUM+w37qGqaKfHyu0dAPtamHBYsYjS3TXAF37LFVtA
 agehwPRoVITMC9gCIxkltINWyXr5eDa9Sp6ZsLLE1KHeNmuKZzJjECgYOU601tE5HEEJRCTNOUKXL
 b6y9d/h7mwYZTHm6nhmRJKFyvU2MvxxLoE9yPtX+xgcLntPwRB3jApKMIsC/wiv4sIuZ8wkrUiBIA
 sDQyDKZdmlMUlcCrvlnlmGiBtdVamzLqwGaOX14XcWV+psQ2E3KAV6tKB5H66u+aLbOoTeazTtNxf
 pHCAvVjuRWRyXg==;
From: Arash Esbati <arash@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <8788.1719839712@localhost> (Ikumi Keita's message of "Mon, 01
 Jul 2024 22:15:12 +0900")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN> <8224.1719823489@localhost>
 <m2sewtqpqe.fsf@HIDDEN> <8788.1719839712@localhost>
Date: Tue, 02 Jul 2024 21:05:58 +0200
Message-ID: <m2msmzobqh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Robert Morelli <morelli@HIDDEN>,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Keita,

Ikumi Keita <ikumi@HIDDEN> writes:

> I think so. `major-mode-remap-alist' is rather new in emacs history,
> so I suppose there is no code other than `set-auto-mode' (and its
> helper functions) that takes `major-mode-remap-alist' into account
> when it determines the major mode function to run.

Well, that's a pity :-(

> You mean that they want to have AUCTeX for LaTeX documents (.tex files)
> and built-in mode for Org source blocks? That's very unusual
> situation; :-)

Yes, that's a possible scenario I had in my mind.  This is at least my
observation over the last couple of years that AUCTeX's take-over of
various major modes was not appreciated by everybody.

> I'd say that people who have such strange preference should be
> prepared for their difficulty and be able to deal with it by
> themselves.

I don't use this feature, so I don't want to be against it too much, so
if you think it is a good addition, please go ahead and install it.  I
know where to forward the complaints once they arrive ;-)

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 1 Jul 2024 15:54:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 01 11:54:37 2024
Received: from localhost ([127.0.0.1]:33608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOJMT-0008Ci-2P
	for submit <at> debbugs.gnu.org; Mon, 01 Jul 2024 11:54:37 -0400
Received: from mail-io1-f49.google.com ([209.85.166.49]:50365)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ultrono@HIDDEN>) id 1sOJMP-0008CU-Vf
 for 71363 <at> debbugs.gnu.org; Mon, 01 Jul 2024 11:54:35 -0400
Received: by mail-io1-f49.google.com with SMTP id
 ca18e2360f4ac-7f3ca6869d1so128338539f.0
 for <71363 <at> debbugs.gnu.org>; Mon, 01 Jul 2024 08:54:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1719849207; x=1720454007; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=L0IQhh5NTwhpgTssWDEycxNFwh64XJFkqIi607qjJTw=;
 b=Tg5x2xdqBYNWdoTrC9JP6zRot2I6LX/hH7ESSMq+MxvpAsY0ckJTPLKs5wwjcGEVPP
 kFiSoiXAQF4mEv6swjk00foNFvQxJ7STn+DDGaYFmcA9kYidCDKwOwdibAN9TZjm27pd
 jAA1yR/fSxoroinNu6ibWzwhY2u6pQkCy93E08KiRBoGYkyEWk/j6DJJAgpLbUl+El/c
 +ZeT6QDi2FqDi7dcuydG8g/6D/mFVKBr2EYoLMmjATM22eY/Aetf7yonAQ4vph0it7om
 qHox0b+gbCfNy4LUz3X2YHigC/jzBDOxoCPM4iHHQX/w2Pmq7eousfsf8vAVItAol6pI
 FLxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1719849207; x=1720454007;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=L0IQhh5NTwhpgTssWDEycxNFwh64XJFkqIi607qjJTw=;
 b=Zy4HC1s3yOfXyVgvILz/gXAvUkMZ3AnvcEklSJcq3U8ZIyNPJcgfHzCPPpCiyJe/Vc
 jvf3Ygnc8HJL84Rayhq+jVavPgIiAYjGL57iTEVZAenonaVTB4z7VVSnvOWt2uoO3+Gt
 sGInbrkiZ78ix5kBdtSagpdO4XBOdvbZU3inkC1bX3wh4P4yltTLgdICtHGfiVRsTe0H
 TsziZLRAv0PZgwnbUHsREUz2b3V/cDOR/x+oo5YqntxnIP1DpHG6Zw1qKekO4PO7S/jh
 i9daPZG+fkdH8M/7g8ATZxvz3lnW6SXOZfbkpsd2EitME6ioqG/HYrwpe717o/ztiafq
 rS7Q==
X-Forwarded-Encrypted: i=1;
 AJvYcCVe8UwRlSoyLX6HdjiafI/wSe7iN27V3nshKjM2POETkj/nah2ceXQ5E5a6Um9DpQ30RkrfUaMonjswoNlwHtyFDedRA0Q=
X-Gm-Message-State: AOJu0Yz4hSkRQkGiAUQLVxLNJ2PSF2dF9FcphigDbyfy8PVGbaEMzH4X
 H0GhPoQY4B+LDuBDB0uHExZipG2n1ZMnDA4M97EBTnU8E1WkI39/L/oXDeaEo0HAbf+yDkSWGw9
 tomu2NXOeGlBJbYJO5QvenqlQ5wE=
X-Google-Smtp-Source: AGHT+IHm3gVFlP+hcW6HtwKFeoaKdK9pwZauIdRmKB+729gp9K+kaVXTsNRdlddv/wBYJwI6bU/GbaJ8FSfVThPw8LA=
X-Received: by 2002:a05:6602:304b:b0:7eb:8874:99e0 with SMTP id
 ca18e2360f4ac-7f62ee3a19amr640992439f.12.1719849207517; Mon, 01 Jul 2024
 08:53:27 -0700 (PDT)
MIME-Version: 1.0
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN>
In-Reply-To: <m2wmm5r1oo.fsf@HIDDEN>
From: Paul Nelson <ultrono@HIDDEN>
Date: Mon, 1 Jul 2024 17:53:16 +0200
Message-ID: <CAOA-32MHhcVXz1j-QUfZb6cT4HU84WqDOP=syrBT-1vb_K9HLA@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
To: Arash Esbati <arash@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: Ikumi Keita <ikumi@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Robert Morelli <morelli@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Jul 1, 2024 at 9:50=E2=80=AFAM Arash Esbati <arash@HIDDEN> wrote:
>
> Thanks.  I wonder why we can't leave this decision to the user?
>

My thought was that making AUCTeX load automatically in src mode
blocks is similar to doing the same for tex files.  Both require
adjustments that could be left to the user, but have been automatic
for at least a couple decades.  While forcing such adjustments via
tex-site goes against the general convention that loading packages
should have no direct effect, there is ultimately no loss of
flexibility, since the user can always tweak major-mode-remap-alist
and org-src-lang-modes after AUCTeX loads.  The question is what
should be the default behavior.  Here I would vote in favor of the
established practice, to spare other users the issue noted by Robert
(which I had also encountered).




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 1 Jul 2024 13:15:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 01 09:15:18 2024
Received: from localhost ([127.0.0.1]:60523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOGsI-0003Lr-1C
	for submit <at> debbugs.gnu.org; Mon, 01 Jul 2024 09:15:18 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:58994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1sOGsF-0003Lg-PQ
 for 71363 <at> debbugs.gnu.org; Mon, 01 Jul 2024 09:15:16 -0400
Received: from localhost (42-144-18-247.rev.home.ne.jp [42.144.18.247])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPSA id F1AEF5C;
 Mon,  1 Jul 2024 22:15:12 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-reply-to: <m2sewtqpqe.fsf@HIDDEN>
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN> <8224.1719823489@localhost>
 <m2sewtqpqe.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Mon, 01 Jul 2024 14:08:25 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.8; Emacs 29.4
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <8787.1719839712.1@localhost>
Date: Mon, 01 Jul 2024 22:15:12 +0900
Message-ID: <8788.1719839712@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Robert Morelli <morelli@HIDDEN>,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arash,

>>>>> Arash Esbati <arash@HIDDEN> writes:
> Ah, Ok, thanks.  And IIUC having an entry like this

> (latex-mode . LaTeX-mode)

> in `major-mode-remap-alist' doesn't help either, right?

I think so. `major-mode-remap-alist' is rather new in emacs history, so
I suppose there is no code other than `set-auto-mode' (and its helper
functions) that takes `major-mode-remap-alist' into account when it
determines the major mode function to run.

> My only fear is that we change things outside AUCTeX from Lisp and
> people will than tell us they use AUCTeX for usual TeX-writing and the
> built-in mode for Org source blocks; and then the real fun begins.

You mean that they want to have AUCTeX for LaTeX documents (.tex files)
and built-in mode for Org source blocks? That's very unusual situation; :-) 
I'd say that people who have such strange preference should be prepared
for their difficulty and be able to deal with it by themselves.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 1 Jul 2024 12:09:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 01 08:09:20 2024
Received: from localhost ([127.0.0.1]:60374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOFqS-0001On-GP
	for submit <at> debbugs.gnu.org; Mon, 01 Jul 2024 08:09:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sOFqP-0001OZ-JC
 for 71363 <at> debbugs.gnu.org; Mon, 01 Jul 2024 08:09:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sOFqF-0002mT-SS; Mon, 01 Jul 2024 08:09:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=7VD8G9fGxZTe6xSCMotZNXtY0W4mF1owhvLfpH2epOw=; b=Yya3BK6DTQeS+zDjw0Dr
 FVJ21dmQtG9YrpJzeLVy6awkNC/QbucPJIiLtjgRi8/axsapwe8IMysga4h10pYnR0zGTVEEbmh4e
 dLuhjMaI/NugRx0VPdO0cSHAcohiQOcaKgp/no7I9QGet3e56cjBRFJ7PdsV1IloFM9VAhAreSTUr
 Bjdb+zmZ1Grr/+WJhHq/KnSIzK0jHhqUIHk185fdn3DjLtCyCn6VaOvNGok5mJrb1fllAa/dTVPcA
 NiWnxY30R5NKlbRH0HPmgzwwhSA/weJOYAxtd/h1vwmgsa5T8qfDlVBSUZ7kI+uC5hOQF2DVwFyHs
 glyJS8Nv8Jgx4w==;
From: Arash Esbati <arash@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <8224.1719823489@localhost> (Ikumi Keita's message of "Mon, 01
 Jul 2024 17:44:49 +0900")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN> <8224.1719823489@localhost>
Date: Mon, 01 Jul 2024 14:08:25 +0200
Message-ID: <m2sewtqpqe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Robert Morelli <morelli@HIDDEN>,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Keita,

Ikumi Keita <ikumi@HIDDEN> writes:

> I don't think that's enough. If I understand correctly, the major
> problem is that LaTeX code block other than beamer code block is handled
> by `latex-mode' by default. The doc string of `org-edit-special' says:
> ,----
> | The LaTeX environment is copied into a new buffer.  Major mode is
> | set to the one associated to "latex" in =E2=80=98org-src-lang-modes=E2=
=80=99,
> | or to =E2=80=98latex-mode=E2=80=99 if there is none.
> `----

Ah, Ok, thanks.  And IIUC having an entry like this

(latex-mode . LaTeX-mode)

in `major-mode-remap-alist' doesn't help either, right?  (At least for
newer Emacs versions.)

> So users have to add another entry
> ("latex" . LaTeX)
> in =E2=80=98org-src-lang-modes=E2=80=99.
>
> As I wrote in the separate message, I think AUCTeX can accept to add
> such entry by default.
>
> (But adding
>    ("latex" . LaTeX)
> and changing
>    ("beamer" . latex)
> to
>    ("beamer" . LaTeX)
> aren't much trouble, after all. So it's reasonable as well to leave this
> decision to the user, of course.)

My only fear is that we change things outside AUCTeX from Lisp and
people will than tell us they use AUCTeX for usual TeX-writing and the
built-in mode for Org source blocks; and then the real fun begins.

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 1 Jul 2024 08:44:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 01 04:44:56 2024
Received: from localhost ([127.0.0.1]:60096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOCed-0001j4-O0
	for submit <at> debbugs.gnu.org; Mon, 01 Jul 2024 04:44:56 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:58504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1sOCeb-0001ii-3t
 for 71363 <at> debbugs.gnu.org; Mon, 01 Jul 2024 04:44:54 -0400
Received: from localhost (42-144-18-247.rev.home.ne.jp [42.144.18.247])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPSA id 51FAA5C;
 Mon,  1 Jul 2024 17:44:50 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-reply-to: <m2wmm5r1oo.fsf@HIDDEN>
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 <m2wmm5r1oo.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Mon, 01 Jul 2024 09:50:15 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.8; Emacs 29.4
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp
Date: Mon, 01 Jul 2024 17:44:49 +0900
Message-ID: <8224.1719823489@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Robert Morelli <morelli@HIDDEN>,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arash,

>>>>> Arash Esbati <arash@HIDDEN> writes:
> Thanks.  I wonder why we can't leave this decision to the user?

> ,----[ C-h v org-src-lang-modes RET ]
> | org-src-lang-modes is a variable defined in ‘org-src.el’.
...
> `----

> So people only need to customize

>   ("beamer" . latex)

> to

>   ("beamer" . LaTeX)

> and it should work, IIUC.

I don't think that's enough. If I understand correctly, the major
problem is that LaTeX code block other than beamer code block is handled
by `latex-mode' by default. The doc string of `org-edit-special' says:
,----
| The LaTeX environment is copied into a new buffer.  Major mode is
| set to the one associated to "latex" in ‘org-src-lang-modes’,
| or to ‘latex-mode’ if there is none.
`----
So users have to add another entry
("latex" . LaTeX)
in ‘org-src-lang-modes’.

As I wrote in the separate message, I think AUCTeX can accept to add
such entry by default.

(But adding
   ("latex" . LaTeX)
and changing
   ("beamer" . latex)
to
   ("beamer" . LaTeX)
aren't much trouble, after all. So it's reasonable as well to leave this
decision to the user, of course.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 1 Jul 2024 08:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 01 04:28:13 2024
Received: from localhost ([127.0.0.1]:60071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOCOT-0001JA-1h
	for submit <at> debbugs.gnu.org; Mon, 01 Jul 2024 04:28:13 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:58442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1sOCOQ-0001J0-6A
 for 71363 <at> debbugs.gnu.org; Mon, 01 Jul 2024 04:28:10 -0400
Received: from localhost (42-144-18-247.rev.home.ne.jp [42.144.18.247])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPSA id 874A15C;
 Mon,  1 Jul 2024 17:28:07 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Robert Morelli <morelli@HIDDEN>, Paul Nelson <ultrono@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-reply-to: <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
Comments: In-reply-to Paul Nelson <ultrono@HIDDEN>
 message dated "Sat, 29 Jun 2024 23:43:26 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.8; Emacs 29.4
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <7850.1719822486.1@localhost>
Date: Mon, 01 Jul 2024 17:28:06 +0900
Message-ID: <7851.1719822486@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: Arash Esbati <arash@HIDDEN>, 71363 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Paul Nelson <ultrono@HIDDEN> writes:
> I checked that Ikumi's suggestion addresses the issue (more correctly
> than my own workaround), but feel that AUCTeX should do something like
> this by default, like it did (incidentally, via mode aliasing) until
> the recent update.  I'm not sure how best to do that.  I guess one
> could just stick Ikumi's with-eval-after-load block somewhere in
> tex.el, but that goes against the general advice of avoiding
> with-eval-after-load in package files?

I don't feel that it's bad to use `with-eval-after-load' in this
context. On the other hand, it wouldn't be nice for a package to alter
user customize option unconditionally in general.
But in my opinion, this case wouldn't cause a problem practically, and I
understand that users want compatibility with former AUCTeX version. So
I don't object strongly to adding such `with-eval-after-load' in, say,
tex-site.el.

Is there anyone who is against this idea?

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 1 Jul 2024 07:52:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 01 03:52:45 2024
Received: from localhost ([127.0.0.1]:60037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sOBq9-0000Ld-EJ
	for submit <at> debbugs.gnu.org; Mon, 01 Jul 2024 03:52:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sOBq6-0000LK-Ke
 for 71363 <at> debbugs.gnu.org; Mon, 01 Jul 2024 03:52:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sOBnm-0002R7-4w; Mon, 01 Jul 2024 03:50:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=SAmZEeWQXYuihtsJ6gSD4u84KirY2SdDoNyMFCVIfAc=; b=gwVjwVzAY/O39ak+R1Yo
 aG7vbCpwJpCOTtJtCIpR7Y8S3dVoxmE8G9hmi8i7ShvTC64WP7E6XKhcEI9I07+Y4KZ0sXSH692vi
 FANzAxTUQFhw6rErfcX4Nxs9zWKMkRBsOFsbBxuqPrGBHL9AGMUbhD/WM5DWv1BkJ294ZynhuaMr6
 UMhKfdMxabLd4Gaovre0OLCoN9x0u/8euY7npCBZWkZO4V6yWTjS6maIDrTBtlTG9PsYVJ0q/mX3s
 jVdH8UDojrgPVnaLHBpDT8HYCailIjQxP/1/q/UG17Uvi0Xx3OWUHmp2K1hmG9rb73WWrG5SOpbTw
 X5kSxVcGCZpdjw==;
From: Arash Esbati <arash@HIDDEN>
To: Paul Nelson <ultrono@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
 (Paul Nelson's message of "Sat, 29 Jun 2024 23:43:26 +0200")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
 <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
Date: Mon, 01 Jul 2024 09:50:15 +0200
Message-ID: <m2wmm5r1oo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: Ikumi Keita <ikumi@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Robert Morelli <morelli@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Nelson <ultrono@HIDDEN> writes:

> I checked that Ikumi's suggestion addresses the issue (more correctly
> than my own workaround), but feel that AUCTeX should do something like
> this by default, like it did (incidentally, via mode aliasing) until
> the recent update.  I'm not sure how best to do that.

Thanks.  I wonder why we can't leave this decision to the user?

,----[ C-h v org-src-lang-modes RET ]
| org-src-lang-modes is a variable defined in =E2=80=98org-src.el=E2=80=99.
|=20
| Its value is shown below.
|=20
| Alist mapping languages to their major mode.
|=20
| The key is the language name.  The value is the mode name, as
| a string or a symbol, without the "-mode" suffix.
|=20
| For many languages this is simple, but for language where this is
| not the case, this variable provides a way to simplify things on
| the user side.  For example, there is no =E2=80=98ocaml-mode=E2=80=99 in =
Emacs,
| but the mode to use is =E2=80=98tuareg-mode=E2=80=99.
|=20
|   This variable was introduced, or its default value was changed, in
|   version 9.7 of the Org package that is part of Emacs 30.1.
|   You can customize this variable.
|=20
| Value:
| (("C" . c) ("C++" . c++) ("asymptote" . asy) ("beamer" . latex)
|  ("calc" . fundamental) ("cpp" . c++) ("ditaa" . artist)
|  ("desktop" . conf-desktop) ("dot" . fundamental)
|  ("elisp" . emacs-lisp) ("ocaml" . tuareg) ("screen" . shell-script)
|  ("sqlite" . sql) ("toml" . conf-toml) ("shell" . sh) ("ash" . sh)
|  ("sh" . sh) ("bash" . sh) ("jsh" . sh) ("bash2" . sh) ("dash" . sh)
|  ("dtksh" . sh) ("ksh" . sh) ("es" . sh) ("rc" . sh) ("itcsh" . sh)
|  ("tcsh" . sh) ("jcsh" . sh) ("csh" . sh) ("ksh88" . sh) ("oash" . sh)
|  ("pdksh" . sh) ("mksh" . sh) ("posix" . sh) ("wksh" . sh)
|  ("wsh" . sh) ("zsh" . sh) ("rpm" . sh))
`----

So people only need to customize

  ("beamer" . latex)

to

  ("beamer" . LaTeX)

and it should work, IIUC.  Org is making a suggestion for the default,
so it's about changing the default.  Or am I missing something?

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 29 Jun 2024 21:44:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 17:44:45 2024
Received: from localhost ([127.0.0.1]:53874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sNfsD-0001tL-07
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2024 17:44:45 -0400
Received: from mail-io1-f49.google.com ([209.85.166.49]:60537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ultrono@HIDDEN>) id 1sNfsA-0001t5-Az
 for 71363 <at> debbugs.gnu.org; Sat, 29 Jun 2024 17:44:43 -0400
Received: by mail-io1-f49.google.com with SMTP id
 ca18e2360f4ac-7f620f349f9so68409239f.0
 for <71363 <at> debbugs.gnu.org>; Sat, 29 Jun 2024 14:44:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1719697417; x=1720302217; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=iyYuYIBUUoLfkasM+jdmvWjgMiJwNZAHard2+7csTA4=;
 b=MX5TB6kQbgpRiXEiTOPNAhrvpdOxeQtGPO2fbLm783oXD+/6JV5+j1ht6CuVwqjDQ6
 Glj07ajV7XdydZ9QnV443JcQqUxC5i6GHKK9iWa2NGHqGgHR0h8W/s9cXMyc4c9wDZVc
 ei8T5GkY6qtmBTBgToBskZu4+ohYNGi1Ui37gUnFgp7F4/NerPPZLJaBVSY/FQkP307n
 7GL/i3EhFSUqMT0O9fGWhtlaTv0yLGF0T71BL2dkmOfRk8BMK+sz5/LoENC+nhF3nOoc
 qH6doIkVKu1eqlMlJnXsApeNAOmTLhHV65+vslq51w3ZhriSCkPTi6Y1e341adUs6ONi
 pwVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1719697417; x=1720302217;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=iyYuYIBUUoLfkasM+jdmvWjgMiJwNZAHard2+7csTA4=;
 b=B+ErUWL2HkOXFtOL0qC2R+vxCHN+ySY+t7Z5sAzuBIeIRCTSVe5PfobFY57OQEtXjP
 N38LnuLpkDT2YVbeZP/H3aS3eRRkulKD1N2IQE+tyJGwRGyMsd4UrLynMUYqYqAq0UFM
 v+JMdCsdDpSVgo3lnhUnhbgzU52LIv19JYWXFetBj9yaX+TY+0oolAR7N44ioucD9SFU
 Yj9I9rNFKD8GVVuL9GTzqKsz3alow02QJGhWE14rEzhaTTa7zEyn5cNaoW132tyChEW5
 NGI+9cacgWQNvbzLSdZB+v0u+uFNgQgI1EpVpyzDXP4stXDsb1npvVjO9FFui/Lan6bM
 cNOQ==
X-Forwarded-Encrypted: i=1;
 AJvYcCV+xowkn6izqp4lURZtUr0CnpKJnSbJNrveKnblZVWmH7y0tgomYK5kevNp6sEdb9AZYtdfLUm/85b65Nix0hZjZAh0Eso=
X-Gm-Message-State: AOJu0YypcW+72dX3GB973Q3AWX0Boi7jKEQdJZb+6DSBruZnZcjAh3Mh
 CY4QRlbUQKLCCUdv37+ZYZ1HNl5UvUtN1j9oRSf4CzebDrh66wmqcirod5Edeeae2wUNyg/clg9
 C9BgY+ghHLIyAPb2yaQw3wnjOVFE=
X-Google-Smtp-Source: AGHT+IEcvjf071S8RKtOPmVEdTIJT0dCrIYGmYIoXyaYTDJ2XAQNEJEW8MuxF9sFUIZemm/VfOr1ONb6rd4K08k1JVY=
X-Received: by 2002:a5d:9a8e:0:b0:7f3:d2d5:f068 with SMTP id
 ca18e2360f4ac-7f62ee8e775mr195261039f.16.1719697417277; Sat, 29 Jun 2024
 14:43:37 -0700 (PDT)
MIME-Version: 1.0
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost> <m2ikxrv6d3.fsf@HIDDEN>
In-Reply-To: <m2ikxrv6d3.fsf@HIDDEN>
From: Paul Nelson <ultrono@HIDDEN>
Date: Sat, 29 Jun 2024 23:43:26 +0200
Message-ID: <CAOA-32PtrgOgpAwpFPjTSdc_1YYV_PKV3ZZ1CGBWn4ZAMh=oxw@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
To: Arash Esbati <arash@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: Ikumi Keita <ikumi@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Robert Morelli <morelli@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jun 29, 2024 at 10:31=E2=80=AFPM Arash Esbati <arash@HIDDEN> wrote=
:
>
> Ikumi Keita <ikumi@HIDDEN> writes:
>
> > I'm afraid that isn't a suuposed way to call a major function in emacs.
> > The doc string of `org-edit-special' says:
> > ,----
> > | The LaTeX environment is copied into a new buffer.  Major mode is
> > | set to the one associated to "latex" in =E2=80=98org-src-lang-modes=
=E2=80=99,
> > | or to =E2=80=98latex-mode=E2=80=99 if there is none.
> > `----
> > Thus I expect
> > (with-eval-after-load 'org-src
> >   (push '("latex" . LaTeX) org-src-lang-modes))
> > in your init file does the job. (Maybe you have also to put
> >   (setcdr (assoc "beamer" org-src-lang-modes) 'LaTeX)
> > in the `with-eval-after-load' form if you have beamer src block in your
> > org file.)
>
> Ping!  Any updates on this?
>
> Best, Arash


I checked that Ikumi's suggestion addresses the issue (more correctly
than my own workaround), but feel that AUCTeX should do something like
this by default, like it did (incidentally, via mode aliasing) until
the recent update.  I'm not sure how best to do that.  I guess one
could just stick Ikumi's with-eval-after-load block somewhere in
tex.el, but that goes against the general advice of avoiding
with-eval-after-load in package files?




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 29 Jun 2024 21:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 29 17:02:23 2024
Received: from localhost ([127.0.0.1]:53747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sNfDD-0000hH-1O
	for submit <at> debbugs.gnu.org; Sat, 29 Jun 2024 17:02:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sNfD7-0000gd-JP
 for 71363 <at> debbugs.gnu.org; Sat, 29 Jun 2024 17:02:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sNeiw-0004dd-QP; Sat, 29 Jun 2024 16:31:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=/3yP2jYOpqDmF+IwtNZ2elVeLqMqfI4tympsJuJePDU=; b=jxzj+7MSXyebh+muNMXB
 4yAwUjYs7/aQJmXg4AhZpcOx4gBTjYln4dgqWrU09YFKuAnX95pj500BpeVrsTgJiQAz0wtbPXOgF
 WjXTq6BAmQY9/QEz6q4TawcYISsBpCKYqd5P8ikO4UktqSD9LQqXNi+4vu/AEsABbNJEo7aR3Npz3
 KT2i7HBVLErtKcEM5X/dx4WmEz5a2XIHhVEt9SOQmjSI9+3yqRoDGlGHXMLCO7hkrHCXuhlJHBeEc
 TzhMWrFuxzoJkOhTucxFQ6Wl66IclzpTxfA/sidwtoBbKLl/hZgWYfjiCPmXmogXPXzQDa+/hgVqA
 6QXMQs8FFMx5zQ==;
From: Arash Esbati <arash@HIDDEN>
To: Robert Morelli <morelli@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <11118.1717564510@localhost> (Ikumi Keita's message of "Wed, 05
 Jun 2024 14:15:10 +0900")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
 <11118.1717564510@localhost>
Date: Sat, 29 Jun 2024 22:31:04 +0200
Message-ID: <m2ikxrv6d3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: Ikumi Keita <ikumi@HIDDEN>, 71363 <at> debbugs.gnu.org,
 Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ikumi Keita <ikumi@HIDDEN> writes:

> Hi Robert and Paul,
>
>>>>>> Paul Nelson <ultrono@HIDDEN> writes:
>>> Functionally, version 14.0.5 has at least one shortcoming that makes it
>>> unusable for me: invoking org-edit-special from an org-mode latex src b=
lock
>>> opens a buffer in latex-mode (not LaTeX-mode). This is a change from
>>> version 13.3.
>
>> In case it's of any help, I've been using (add-hook 'latex-mode-hook
>> #'LaTeX-mode) as a workaround for the source block issue that you
>> mention
>
> I'm afraid that isn't a suuposed way to call a major function in emacs.
> The doc string of `org-edit-special' says:
> ,----
> | The LaTeX environment is copied into a new buffer.  Major mode is
> | set to the one associated to "latex" in =E2=80=98org-src-lang-modes=E2=
=80=99,
> | or to =E2=80=98latex-mode=E2=80=99 if there is none.
> `----
> Thus I expect
> (with-eval-after-load 'org-src
>   (push '("latex" . LaTeX) org-src-lang-modes))
> in your init file does the job. (Maybe you have also to put
>   (setcdr (assoc "beamer" org-src-lang-modes) 'LaTeX)
> in the `with-eval-after-load' form if you have beamer src block in your
> org file.)

Ping!  Any updates on this?

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 5 Jun 2024 05:23:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 05 01:23:06 2024
Received: from localhost ([127.0.0.1]:56539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sEj74-0000l6-5S
	for submit <at> debbugs.gnu.org; Wed, 05 Jun 2024 01:23:06 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:48092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1sEj72-0000kY-BF
 for 71363 <at> debbugs.gnu.org; Wed, 05 Jun 2024 01:23:05 -0400
Received: from localhost (42-144-18-247.rev.home.ne.jp [42.144.18.247])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPSA id 37B225C;
 Wed,  5 Jun 2024 14:15:11 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Robert Morelli <morelli@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-reply-to: <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
 <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
Comments: In-reply-to Paul Nelson <ultrono@HIDDEN>
 message dated "Tue, 04 Jun 2024 10:38:55 -0400."
X-Mailer: MH-E 8.6+git; nmh 1.8; Emacs 29.3
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-2022-jp
Date: Wed, 05 Jun 2024 14:15:10 +0900
Message-ID: <11118.1717564510@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org, Paul Nelson <ultrono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Robert and Paul,

>>>>> Paul Nelson <ultrono@HIDDEN> writes:
>> Functionally, version 14.0.5 has at least one shortcoming that makes it
>> unusable for me: invoking org-edit-special from an org-mode latex src block
>> opens a buffer in latex-mode (not LaTeX-mode). This is a change from
>> version 13.3.

> In case it's of any help, I've been using (add-hook 'latex-mode-hook
> #'LaTeX-mode) as a workaround for the source block issue that you
> mention

I'm afraid that isn't a suuposed way to call a major function in emacs.
The doc string of `org-edit-special' says:
,----
| The LaTeX environment is copied into a new buffer.  Major mode is
| set to the one associated to "latex" in ‘org-src-lang-modes’,
| or to ‘latex-mode’ if there is none.
`----
Thus I expect
(with-eval-after-load 'org-src
  (push '("latex" . LaTeX) org-src-lang-modes))
in your init file does the job. (Maybe you have also to put
  (setcdr (assoc "beamer" org-src-lang-modes) 'LaTeX)
in the `with-eval-after-load' form if you have beamer src block in your
org file.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 4 Jun 2024 15:46:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 11:46:38 2024
Received: from localhost ([127.0.0.1]:33328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sEWMw-00064F-1u
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2024 11:46:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1sEWMt-00063s-9l
 for 71363 <at> debbugs.gnu.org; Tue, 04 Jun 2024 11:46:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1sEWMZ-00054c-8x; Tue, 04 Jun 2024 11:46:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=gCjVKAOF8+YHgVXkMjb16vnNFSbeNg8fXdxMy1rvQog=; b=dRquws2ePhIsBozWB4F2
 veS3eoqe5WEeD0tK2EzELIQxdBnUZRO/5WeTuNnJs9iqfG4tea4PwzaKpFHRg/utRPWLlv4V9FnXh
 h+rFWFemDCwyW5/IbWI7iSS8vjKwEitw5QmikMMFbm32WNppMjWVeNoOEtWjRbxJfe0sxYQ6gUTAg
 5Ff9bpEhJvbBny0J5fJIroeGziQO89if1Mj+gWZZfTE80EYVtISP9YMaLE7aT4cJsOEew80zwKB3/
 Jnt77+YhhoiJZcVAz/kOr66h49/IwyZmuecCQKTxQ3ZLi0KrIShIiVY98XRKWXTDQkY0pNU7H48nT
 Hxv9EgEHivG/dQ==;
From: Arash Esbati <arash@HIDDEN>
To: Robert Morelli <morelli@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
In-Reply-To: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN> (Robert
 Morelli's message of "Tue, 4 Jun 2024 08:25:20 -0600")
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
Date: Tue, 04 Jun 2024 17:45:45 +0200
Message-ID: <m2v82on23a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Robert Morelli <morelli@HIDDEN> writes:

> I am reporting about some confusion as to which version of AUCTeX is
> current and stable. On the AUCTeX home page
> (https://www.gnu.org/software/auctex/), it is stated that version
> 13.3 is the current version, but the version on the GNU ELPA site is
> 14.0.5.

The home page is updated with every tarball release.  The last one was
13.3.  AUCTeX made an exception and bumped the major version number on
ELPA because of some internal changes, mostly the name of the mode.  You
can read the whole story here:

https://lists.gnu.org/archive/html/auctex-devel/2024-01/msg00002.html

> This is an inconvenience for anyone who uses automatic package updates.

Sorry for that, but this issue should be resolved soon.  FTR: 14.0.5
from ELPA is the latest stable version, devel-ELPA offers the latest
development version.

> Functionally, version 14.0.5 has at least one shortcoming that makes it
> unusable for me: invoking org-edit-special from an org-mode latex src blo=
ck
> opens a buffer in latex-mode (not LaTeX-mode). This is a change from
> version 13.3.

Can you provide an example and a recipe how to reproduce this?  I don't
use this feature from Org, so I can only guess that it could help when
you customize `major-mode-remap-alist' and add the following entry to
it:

  (latex-mode . LaTeX-mode)

Usually, AUCTeX does that, but maybe it happens too late in your case.

> current state:
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> (setq
> =C2=A0TeX-command-list '(("LatexMk" "latexmk %(-PDF)%S%(mode)
> %(file-line-error) %(extraopts) %t" TeX-run-latexmk nil
> (plain-tex-mode latex-mode doctex-mode) :help "Run LatexMk")

> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("LaTeXMk" "latexmk %(latexmk-ou=
t)
> %(file-line-error) %`%(extraopts) %S%(mode)%' %t" TeX-run-format nil
> (LaTeX-mode docTeX-mode) :help "Run LaTeXMk")))

While we're at it: AUCTeX has also built-in support for LaTeXMk.  I
don't know how you add the first entry to `TeX-command-list', but do you
want to give the built-in one a roll and see if it works as well?  TIA.

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at 71363 <at> debbugs.gnu.org:


Received: (at 71363) by debbugs.gnu.org; 4 Jun 2024 14:40:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 10:40:29 2024
Received: from localhost ([127.0.0.1]:56733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sEVKu-00008C-Td
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2024 10:40:29 -0400
Received: from mail-io1-f54.google.com ([209.85.166.54]:56787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ultrono@HIDDEN>) id 1sEVKr-00007l-H4
 for 71363 <at> debbugs.gnu.org; Tue, 04 Jun 2024 10:40:27 -0400
Received: by mail-io1-f54.google.com with SMTP id
 ca18e2360f4ac-7eb01106015so188009839f.1
 for <71363 <at> debbugs.gnu.org>; Tue, 04 Jun 2024 07:40:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1717511946; x=1718116746; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=erfcmUdm35KzF5f05/wn3M9EYqfHAfXIW9Y2WxMpXPU=;
 b=PrZD0fUXDfaXfjaOc5ikIFTrbIY3x5WLosEPoJjmCgHB8dndBp7TdMi9Lkv5XnN2++
 NrDtHNvbLwpMX4TX0BP5RdZXcB2Ssb0lnGhl5c3NtfRL7D9Qi1Q781u4zMeMoawD6+nB
 CdErp/qraYIMJkz7qecw3+i0hzM2WPeKipSuSg6Ng2Q3uc98yLNB/i3TXiKgO2TSs7ZC
 36+apITC9rc36fNpHC98yAEsqqeyvcyObMi5gEW361vWngSJht+NNbQgSxzOzBJrR4ag
 faoR1sFRiprcsFjZpZxUReczHliva4Y/LbfkF7C7qlFtjTKLS6VpQQ48ONTrq2q6k6Nx
 xrVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1717511946; x=1718116746;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=erfcmUdm35KzF5f05/wn3M9EYqfHAfXIW9Y2WxMpXPU=;
 b=uhBU116LN/YfMNnhbCBfSM6AxcRO+sJZWQ6I34oql9kwmUuyPy96rHbcfa70lK8XR2
 1aZ1wkYHgLGL4/tJqyEXmQXUac4YVGKg9sB/DYZi+wJfRcsM/bYztepOju6kRE2hiVWe
 VOaJF/j7S8XM/YV2t/YEQcYUXx9tlcIRhcbm3037QhVoTzVFXJmMVEo4lM1jfPU4bV4z
 Z+RExp5kCCPRfBtkh4K9P5FTEXI8aVGq2DoYOpVyoBDXat17kNqVhJ00DVzyjyk44A/5
 hxAJ+rUzJmPme5+jfhlorwvSiNe+kg6o+vTlTUIyc8NUO+rsmqDWZSNx6ZABSYE/++4o
 6MkA==
X-Gm-Message-State: AOJu0YxoFXlPIXSUSre8q1OiCrjQF59xSJBuXJKkOrnwpPGUOYCI4WtA
 zoI6dy4yZisBFsHUI8ScKrr4g/xS7kL7SMw+9/D7JiH4pTExNbtC59j0694WVWxAk9pz9bfizen
 qIXplThWErlHpmlzL4ru8JiJ5S9Nt1GG7yl6HsQ==
X-Google-Smtp-Source: AGHT+IENGxeErlxDPrkBd6jv5EJEOqcm8PAP3nl5OjAEPSy5Bb4AVh59/atd2ClWEzvvAwJdNiRgoc13BtudxAbXIEA=
X-Received: by 2002:a05:6602:14c6:b0:7ea:fcd8:f791 with SMTP id
 ca18e2360f4ac-7eafff0b308mr1425417939f.16.1717511946231; Tue, 04 Jun 2024
 07:39:06 -0700 (PDT)
MIME-Version: 1.0
References: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
In-Reply-To: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
From: Paul Nelson <ultrono@HIDDEN>
Date: Tue, 4 Jun 2024 10:38:55 -0400
Message-ID: <CAOA-32PZLQPCTEsGcf9c_xU4fvBG4kyEs8Nr_1TDWJrhWOpKKA@HIDDEN>
Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode
To: Robert Morelli <morelli@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 71363
Cc: 71363 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Functionally, version 14.0.5 has at least one shortcoming that makes it
> unusable for me: invoking org-edit-special from an org-mode latex src block
> opens a buffer in latex-mode (not LaTeX-mode). This is a change from
> version 13.3.

In case it's of any help, I've been using (add-hook 'latex-mode-hook
#'LaTeX-mode) as a workaround for the source block issue that you
mention




Information forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jun 2024 14:26:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 10:26:14 2024
Received: from localhost ([127.0.0.1]:55519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sEV77-0007qR-IO
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2024 10:26:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:50114)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <morelli@HIDDEN>) id 1sEV74-0007qE-UI
 for submit <at> debbugs.gnu.org; Tue, 04 Jun 2024 10:26:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <morelli@HIDDEN>)
 id 1sEV6r-0004sr-6H
 for bug-auctex@HIDDEN; Tue, 04 Jun 2024 10:25:57 -0400
Received: from resqmta-a2p-658764.sys.comcast.net ([2001:558:fd01:2bb4::6])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <morelli@HIDDEN>)
 id 1sEV6o-0000k6-8O
 for bug-auctex@HIDDEN; Tue, 04 Jun 2024 10:25:56 -0400
Received: from resomta-a2p-646965.sys.comcast.net ([96.103.145.237])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 256/256 bits)
 (Client did not present a certificate)
 by resqmta-a2p-658764.sys.comcast.net with ESMTPS
 id ESm2snnc0ZhZ9EV6fsIVfk; Tue, 04 Jun 2024 14:25:45 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=comcastmailservice.net; s=20211018a; t=1717511145;
 bh=d1rbKfVfxCsB4Gwrxt2rvksiySmnaoJ0JC416tctZo0=;
 h=Received:Received:Message-ID:Date:MIME-Version:To:From:Subject:
 Content-Type:Xfinity-Spam-Result;
 b=kZ+0t4Yj+2OSwm6Ta7HCJCS15sev0SkzfuDVZip264XAEYulX3l2SeJ8Qsbc0Pjxc
 U5MLFV6D4lnMX80U8wy1Nh9zay5c4Xp1CJ9XEz9/Ob7op+QiHJ//0u/FSfuiNquEIW
 KOawBvsS6Bd7ODBiBGZDWiYWB1tY9GiH46uTUx/XqylQ66k60jyXIHluzUJCXoPnE0
 mcswDsEUU61r426Z8Ezk+7VWzFb0BFI36EpLMp/pVCnsBekFDdO4ViO+Zmx1gcQjQ6
 VolDUk7zZ41yPhBPnu/roSl0EtGEY4YqkpaVtYWx8OXqgPnEBuWSvKUroX9HmZe4pZ
 dmsii7MNPGpxQ==
Received: from [IPV6:2601:681:5e00:5ef0:4db2:5bea:7168:e95e]
 ([IPv6:2601:681:5e00:5ef0:4db2:5bea:7168:e95e])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 256/256 bits)
 (Client did not present a certificate)
 by resomta-a2p-646965.sys.comcast.net with ESMTPSA
 id EV6HsJZw3AefkEV6IsrYQp; Tue, 04 Jun 2024 14:25:23 +0000
Message-ID: <ba011e06-cff2-4f1e-8e53-d4379d517384@HIDDEN>
Date: Tue, 4 Jun 2024 08:25:20 -0600
MIME-Version: 1.0
User-Agent: Mozilla Thunderbird
Content-Language: en-US
To: bug-auctex@HIDDEN
From: Robert Morelli <morelli@HIDDEN>
Subject: 14.0.5; AUCTeX 14.05 and LaTeX Mode
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-CMAE-Envelope: MS4xfE5YTsjVzZu7hR6SEL+dLL3amqM3EDuKmCU+K5TkUWzQVPhsfIYC7m85K7FSjH6nJ9Vvs0A2hOtAk7N0hpkVQs2gdr1XvhgZePqI8p+0mc4azyPgPhg4
 I8W6WlXHa3/pJm7JyLhXW/ce6GG6UFxsi6oWLoAcjf/7xokbgadkqfZtdiUoPOGAVY03GapZna8qFW/FbjUENu6/+DeWdQv2B4jRM35BO4oe7giSVMzvnv1K
 y0aWOylg26ThaZmjruLn2/uFjkkGKVESjfT7TBKtO/+paHb2923OFPFr1Jlghs0a
Received-SPF: softfail client-ip=2001:558:fd01:2bb4::6;
 envelope-from=morelli@HIDDEN; helo=resqmta-a2p-658764.sys.comcast.net
X-Spam_score_int: -11
X-Spam_score: -1.2
X-Spam_bar: -
X-Spam_report: (-1.2 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_SOFTFAIL=0.665, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I am reporting about some confusion as to which version of AUCTeX is
current and stable. On the AUCTeX home page
(https://www.gnu.org/software/auctex/), it is stated that version
13.3 is the current version, but the version on the GNU ELPA site is
14.0.5.

This is an inconvenience for anyone who uses automatic package updates.

Functionally, version 14.0.5 has at least one shortcoming that makes it
unusable for me: invoking org-edit-special from an org-mode latex src block
opens a buffer in latex-mode (not LaTeX-mode). This is a change from
version 13.3.

Either way, something is amiss.

Emacs : GNU Emacs 29.3 (build 1, aarch64-apple-darwin23.4.0, NS 
appkit-2487.50 Version 14.4.1 (Build 23E224))
 of 2024-04-19
Package: 14.0.5

current state:
==============
(setq
 AUCTeX-date "2024-05-19_09:43:32"
 window-system 'ns
 LaTeX-version "2e"
 TeX-style-path '("/usr/local/var/auctex" 
"/Users/robertmorelli/.config/emacs/elpa/auctex-14.0.5/style" 
"/Users/robertmorelli/.config/emacs/auctex/auto"
"/Users/robertmorelli/.config/emacs/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master nil
 TeX-command-list '(("LatexMk" "latexmk %(-PDF)%S%(mode) 
%(file-line-error) %(extraopts) %t" TeX-run-latexmk nil (plain-tex-mode 
latex-mode doctex-mode) :help "Run LatexMk")
  ("TeX" "%(PDF)%(tex) %(file-line-error) 
%`%(extraopts) %S%(PDFout)%(mode)%' %(output-dir) %t" TeX-run-TeX nil 
(plain-TeX-mode AmSTeX-mode Texinfo-mode) :help
  "Run plain TeX")
  ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil 
(LaTeX-mode docTeX-mode) :help "Run LaTeX")
  ("Makeinfo" "makeinfo %(extraopts) %(o-dir) %t" 
TeX-run-compile nil (Texinfo-mode) :help "Run Makeinfo with Info output")
  ("Makeinfo HTML" "makeinfo %(extraopts) %(o-dir) 
--html %t" TeX-run-compile nil (Texinfo-mode) :help "Run Makeinfo with 
HTML output")
  ("AmSTeX" "amstex %(PDFout) %`%(extraopts) 
%S%(mode)%' %(output-dir) %t" TeX-run-TeX nil (AmSTeX-mode) :help "Run 
AMSTeX")
  ("ConTeXt" "%(cntxcom) --once %(extraopts) 
%(execopts)%t" TeX-run-TeX nil (ConTeXt-mode) :help "Run ConTeXt once")
  ("ConTeXt Full" "%(cntxcom) %(extraopts) 
%(execopts)%t" TeX-run-TeX nil (ConTeXt-mode) :help "Run ConTeXt until 
completion")
  ("BibTeX" "bibtex %(O?aux)" TeX-run-BibTeX nil 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode 
ConTeXt-mode) :help "Run BibTeX")
  ("Biber" "biber %(output-dir) %s" TeX-run-Biber nil 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode) :help 
"Run Biber")
  ("Texindex" "texindex %s.??" TeX-run-command nil 
(Texinfo-mode) :help "Run Texindex")
  ("Texi2dvi" "%(PDF)texi2dvi %t" TeX-run-command nil 
(Texinfo-mode) :help "Run Texi2dvi or Texi2pdf")
  ("View" "%V" TeX-run-discard-or-function t t :help 
"Run Viewer") ("Print" "%p" TeX-run-command t t :help "Print the file")
  ("Queue" "%q" TeX-run-background nil t :help "View 
the printer queue" :visible TeX-queue-command)
  ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode) :help 
"Generate PostScript file")
  ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode) :help 
"Convert DVI file to PostScript")
  ("Dvipdfmx" "dvipdfmx -o %(O?pdf) %d" 
TeX-run-dvipdfmx nil (plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode 
Texinfo-mode) :help
  "Convert DVI file to PDF with dvipdfmx")
  ("Ps2pdf" "ps2pdf %f %(O?pdf)" TeX-run-ps2pdf nil 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode) :help 
"Convert PostScript file to PDF")
  ("LaTeXMk" "latexmk %(latexmk-out) 
%(file-line-error) %`%(extraopts) %S%(mode)%' %t" TeX-run-format nil 
(LaTeX-mode docTeX-mode) :help "Run LaTeXMk")
  ("Glossaries" "makeglossaries %(d-dir) %s" 
TeX-run-command nil (plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode 
Texinfo-mode) :help
  "Run makeglossaries to create glossary file")
  ("Index" "makeindex %(O?idx)" TeX-run-index nil 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode) :help 
"Run makeindex to create index file")
  ("upMendex" "upmendex %(O?idx)" TeX-run-index t 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode) :help 
"Run upmendex to create index file")
  ("Xindy" "texindy %s" TeX-run-command nil 
(plain-TeX-mode LaTeX-mode docTeX-mode AmSTeX-mode Texinfo-mode) :help 
"Run xindy to create index file")
  ("Check" "chktex -v6 %s" TeX-run-compile nil 
(LaTeX-mode) :help "Check LaTeX file for correctness")
  ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil 
(LaTeX-mode) :help "Check LaTeX file for common mistakes")
  ("Spell" "(TeX-ispell-document \"\")" 
TeX-run-function nil t :help "Spell-check the document")
  ("Clean" "TeX-clean" TeX-run-function nil t :help 
"Delete generated intermediate files")
  ("Clean All" "(TeX-clean t)" TeX-run-function nil t 
:help "Delete generated intermediate and output files")
  ("Other" "" TeX-run-command t t :help "Run an 
arbitrary command")
  ("sagemath" "sage %s.sagetex.sage" TeX-run-command 
nil t :help "Run SAGE on the SAGE file corresponding to this LaTeX file 
(run latex first)."))
 )





Acknowledgement sent to Robert Morelli <morelli@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#71363; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Jul 2024 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.